Bug 528759 - Attempting to start kvm guest using SDL causes SELinux denial
Summary: Attempting to start kvm guest using SDL causes SELinux denial
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
(Show other bugs)
Version: 12
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-13 15:55 UTC by Matthew Booth
Modified: 2010-04-15 15:40 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-15 15:40:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Matthew Booth 2009-10-13 15:55:28 UTC
Description of problem:
Change the <graphics/> element of a KVM guest to <graphics type='sdl'/> and attempt to start the guest. The output will be:

[root@mbooth ~]# virsh start Etch
error: Failed to start domain Etch
error: internal error unable to start guest: char device redirected to /dev/pts/2
Could not initialize SDL - exiting

This is accompanied by the following AVC:

node=mbooth.laptop type=AVC msg=audit(1255448846.318:44): avc: denied { read write } for pid=3316 comm="qemu-kvm" name="fb0" dev=tmpfs ino=917 scontext=system_u:system_r:svirt_t:s0:c324,c603 tcontext=system_u:object_r:framebuf_device_t:s0 tclass=chr_file

node=mbooth.laptop type=SYSCALL msg=audit(1255448846.318:44): arch=c000003e syscall=2 success=yes exit=0 a0=31f6e60491 a1=2 a2=0 a3=7fffa6f20140 items=0 ppid=1 pid=3316 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="qemu-kvm" exe="/usr/bin/qemu-kvm" subj=system_u:system_r:svirt_t:s0:c324,c603 key=(null) 

Version-Release number of selected component (if applicable):
libvirt-0.7.1-11.fc11.x86_64 (virt-preview in F-11)

Comment 1 Mark McLoughlin 2009-10-29 15:26:18 UTC
Does it work if you supply xauth= and display= properties?

See http://libvirt.org/formatdomain.html#elementsGraphics

Comment 2 Bug Zapper 2009-11-16 13:36:57 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Mark McLoughlin 2009-11-20 19:34:27 UTC
Matt? See also bug #536693

Comment 4 Matthew Booth 2009-12-03 16:52:35 UTC
I no longer get the AVC with or without xauth and display, so I'm happy to close this bug.

It still doesn't work, though, so I added a comment to the bug you referenced.

Comment 5 Cole Robinson 2010-04-15 15:40:41 UTC
Closing as WORKSFORME per comment #4


Note You need to log in before you can comment on or make changes to this bug.